Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.bcpg
Interface PublicKeyAlgorithmTags

All Known Implementing Classes:
  ExperimentalPacket, PGPPublicKey, PublicKeyEncSessionPacket, PublicKeyPacket, PublicSubkeyPacket, SecretKeyPacket, SecretSubkeyPacket, SignaturePacket

    public interface PublicKeyAlgorithmTags

Public Key Algorithm tag numbers

Field Summary
`static int` `DIFFIE_HELLMAN`
`static int` `DSA`
`static int` `EC`
`static int` `ECDSA`
`static int` `ELGAMAL_ENCRYPT`
`static int` `ELGAMAL_GENERAL`
`static int` `EXPERIMENTAL_1`
`static int` `EXPERIMENTAL_10`
`static int` `EXPERIMENTAL_11`
`static int` `EXPERIMENTAL_2`
`static int` `EXPERIMENTAL_3`
`static int` `EXPERIMENTAL_4`
`static int` `EXPERIMENTAL_5`
`static int` `EXPERIMENTAL_6`
`static int` `EXPERIMENTAL_7`
`static int` `EXPERIMENTAL_8`
`static int` `EXPERIMENTAL_9`
`static int` `RSA_ENCRYPT`
`static int` `RSA_GENERAL`
`static int` `RSA_SIGN`

Field Detail

### RSA_GENERAL

    static final int RSA_GENERAL

See Also:
  Constant Field Values

### RSA_ENCRYPT

    static final int RSA_ENCRYPT

See Also:
  Constant Field Values

### RSA_SIGN

    static final int RSA_SIGN

See Also:
  Constant Field Values

### ELGAMAL_ENCRYPT

    static final int ELGAMAL_ENCRYPT

See Also:
  Constant Field Values

### DSA

    static final int DSA

See Also:
  Constant Field Values

### EC

    static final int EC

See Also:
  Constant Field Values

### ECDSA

    static final int ECDSA

See Also:
  Constant Field Values

### ELGAMAL_GENERAL

    static final int ELGAMAL_GENERAL

See Also:
  Constant Field Values

### DIFFIE_HELLMAN

    static final int DIFFIE_HELLMAN

See Also:
  Constant Field Values

### EXPERIMENTAL_1

    static final int EXPERIMENTAL_1

See Also:
  Constant Field Values

### EXPERIMENTAL_2

    static final int EXPERIMENTAL_2

See Also:
  Constant Field Values

### EXPERIMENTAL_3

    static final int EXPERIMENTAL_3

See Also:
  Constant Field Values

### EXPERIMENTAL_4

    static final int EXPERIMENTAL_4

See Also:
  Constant Field Values

### EXPERIMENTAL_5

    static final int EXPERIMENTAL_5

See Also:
  Constant Field Values

### EXPERIMENTAL_6

    static final int EXPERIMENTAL_6

See Also:
  Constant Field Values

### EXPERIMENTAL_7

    static final int EXPERIMENTAL_7

See Also:
  Constant Field Values

### EXPERIMENTAL_8

    static final int EXPERIMENTAL_8

See Also:
  Constant Field Values

### EXPERIMENTAL_9

    static final int EXPERIMENTAL_9

See Also:
  Constant Field Values

### EXPERIMENTAL_10

    static final int EXPERIMENTAL_10

See Also:
  Constant Field Values

### EXPERIMENTAL_11

    static final int EXPERIMENTAL_11

See Also:
  Constant Field Values

Bouncy Castle Cryptography Library 1.45